package com.fs.hisStore.service;

import com.fs.common.core.domain.R;
import com.fs.hisStore.domain.FsTestReportScrm;
import com.fs.hisStore.param.FsTestReportParam;
import com.fs.hisStore.vo.FsTestReportListVO;
import com.fs.hisStore.vo.FsTestReportVO;

import java.util.List;

/**
 * 测试报告Service接口
 *
 * @author fs
 * @date 2023-09-04
 */
public interface IFsTestReportScrmService
{
    /**
     * 查询测试报告
     *
     * @param reportId 测试报告主键
     * @return 测试报告
     */
    public FsTestReportScrm selectFsTestReportByReportId(Long reportId);

    /**
     * 查询测试报告列表
     *
     * @param fsTestReport 测试报告
     * @return 测试报告集合
     */
    public List<FsTestReportScrm> selectFsTestReportList(FsTestReportScrm fsTestReport);

    /**
     * 新增测试报告
     *
     * @param fsTestReport 测试报告
     * @return 结果
     */
    public int insertFsTestReport(FsTestReportScrm fsTestReport);


    public R doReport(FsTestReportScrm fsTestReport);
    /**
     * 修改测试报告
     *
     * @param fsTestReport 测试报告
     * @return 结果
     */
    public int updateFsTestReport(FsTestReportScrm fsTestReport);

    /**
     * 批量删除测试报告
     *
     * @param reportIds 需要删除的测试报告主键集合
     * @return 结果
     */
    public int deleteFsTestReportByReportIds(Long[] reportIds);

    /**
     * 删除测试报告信息
     *
     * @param reportId 测试报告主键
     * @return 结果
     */
    public int deleteFsTestReportByReportId(Long reportId);

    List<FsTestReportListVO> selectFsTestReportListVO(FsTestReportParam fsTestReport);

    FsTestReportVO selectFsTestReportByReportIdVO(Long reportId);



}
